Subject: Help with Device tree setup and booting kernel

From: Nick <[email-masked]>
Date: Fri, 28 Sep 2007 12:51:41 -0400

Hi everyone,

I am having trouble booting a 2.6.23-rc6 kernel with a device tree.  My 
board is a MPC5200b base board with 128 Megs of DDR memeory.
My UBoot (1.3.0-rc2)seems to be doing what is should be doing.  I 
download the .dtb file to 00800000 and the uImage to 00200000
I get the following:

=> bootm 00200000 - 00800000
## Booting image at 00200000 ...
  Image Name:   Linux-2.6.23-rc6-gea60adb5-dirty
  Created:      2007-09-28   9:49:16 UTC
  Image Type:   PowerPC Linux Kernel Image (gzip compressed)
  Data Size:    1212342 Bytes =  1.2 MB
  Load Address: 00000000
  Entry Point:  00000000
  Verifying Checksum ... OK
  Uncompressing Kernel Image ... OK
  Booting using the fdt at 0x800000
  Loading Device Tree to 007fc000, end 007fefff ... OK

My board is now hung, with no more output to the console.  My board does 
work.  I have been running 2.6.19 for more than a year but I had to 
upgrade.

I used the latest kernel code from DENX.  Is this a good distribution or 
is there a better one somewhere else?  I can send my dts file and the 
kernel .config file if anyone is willing to help

Thanks in advance,

Nick